.news-grid {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 30px;
    margin-top: 40px;
}
.news-card {
  display: flex;
  flex-direction: column;
  background: #fff;
  border-radius: 12px;
  overflow: hidden;
  box-shadow: 0 5px 20px rgba(0,0,0,.08);
  transition: all .3s ease;
  width: calc(33.333% - 20px);
}
.news-content {
  display: flex;
  flex-direction: column;
  flex: 1;
  padding: 24px;
  text-align: left;
}
.news-date {
  margin:15px 0;
}
.news-title{
  color: var(--color-text);
  font-size: var(--size-h4);
  line-height: var(--line-height-h4);
  font-weight: var(--weight-700);
}
.news-image {
    aspect-ratio: 4 / 3;
    overflow: hidden;
}
.news-image img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
    object-position: top center;
}
.news-filter{margin-top: 40px;}
.select-dropdown{
    min-width: 300px;
    padding: 15px;
    border-radius: 5px;
}


#news-post-wrapper {
    position: relative;
    min-height: 200px;
}

.news-loader {
    position: absolute;
    inset: 0;
    background: rgba(255,255,255,.8);
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 99;
}

.spinner {
    width: 45px;
    height: 45px;
    border: 4px solid #ddd;
    border-top: 4px solid #000;
    border-radius: 50%;
    animation: spin .8s linear infinite;
}

@keyframes spin {
    100% {
        transform: rotate(360deg);
    }
}

ul.page-numbers{
    margin-top: 40px;
    list-style: none;
    display: flex;
    justify-content: center;
    gap: 20px;
    align-items: center;
}
span.page-numbers,a.page-numbers{
    padding: 9.5px 18px !important;
    border: 2px solid var(--color-dark-green);
    background: var(--color-dark-green);
    display: inline-block;
    border-radius: 4px;
    line-height: normal;
    color: var(--color-white);
}
.page-numbers.current,span.page-numbers:hover,a.page-numbers:hover{
    background-color: var(--color-accent);
    border: 2px solid var(--color-accent);
    color: var(--color-text);
}

@media (max-width: 1024px) {
    .news-card {
        width: calc(50% - 15px);
    }
}

@media (max-width: 600px) {
    .news-card {
        width: 100%;
    }
}